Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface WSDLPackage

    public interface WSDLPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

The WSDL model contains classes for the Web Services Description Language (WSDL). WSDL describes network services as sets of endpoints operating on messages. The operations and messages are described abstractly, and then bound to a concrete network protocol and message format to define an endpoint. WSDL describes the formats of the messages exchanged by the services, and supports the XML Schemas specification as its canonical type system. This package uses an XML Schema Infoset model package (see the XSD package) to describe the abstract message formats. The model contains the following diagrams, named after the corresponding chapters in the WSDL 1.1 specification (http://www.w3.org/TR/2001/NOTE-wsdl-20010315) - 2.1 Definition, shows the WSDL definition element and the WSDL document structure - 2.1.1 Naming and Linking, shows the namespace and import mechanism - 2.1.3 Extensibility, shows the WSDL extensibility mechanism - 2.2 Types, shows the use of XML Schema types in WSDL - 2.3 Messages, 2.4 PortTypes, 2.5 Bindings and 2.7 Services, show the major WSDL elements and their relations. The WSDL classes extend the javax.wsdl interfaces defined by JSR 110. Classes with interface and datatype stereotypes are used to represent these non-MOF interfaces.

See Also:
  `WSDLFactory`

Nested Class Summary
`static interface` | `WSDLPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static int` | `BINDING` The meta object id for the '`Binding`' class
`static int` | `BINDING__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `BINDING__EBINDING_OPERATIONS` The feature id for the 'EBinding Operations' containment reference list
`static int` | `BINDING__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `BINDING__ELEMENT` The feature id for the 'Element' attribute
`static int` | `BINDING__EPORT_TYPE` The feature id for the 'EPort Type' reference
`static int` | `BINDING__QNAME` The feature id for the 'QName' attribute
`static int` | `BINDING__UNDEFINED` The feature id for the 'Undefined' attribute
`static int` | `BINDING_FAULT` The meta object id for the '`Binding Fault`' class
`static int` | `BINDING_FAULT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `BINDING_FAULT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `BINDING_FAULT__EFAULT` The feature id for the 'EFault' reference
`static int` | `BINDING_FAULT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `BINDING_FAULT__NAME` The feature id for the 'Name' attribute
`static int` | `BINDING_FAULT_FEATURE_COUNT` The number of structural features of the 'Binding Fault' class
`static int` | `BINDING_FEATURE_COUNT` The number of structural features of the 'Binding' class
`static int` | `BINDING_INPUT` The meta object id for the '`Binding Input`' class
`static int` | `BINDING_INPUT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `BINDING_INPUT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `BINDING_INPUT__EINPUT` The feature id for the 'EInput' reference
`static int` | `BINDING_INPUT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `BINDING_INPUT__NAME` The feature id for the 'Name' attribute
`static int` | `BINDING_INPUT_FEATURE_COUNT` The number of structural features of the 'Binding Input' class
`static int` | `BINDING_OPERATION` The meta object id for the '`Binding Operation`' class
`static int` | `BINDING_OPERATION__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `BINDING_OPERATION__EBINDING_FAULTS` The feature id for the 'EBinding Faults' containment reference list
`static int` | `BINDING_OPERATION__EBINDING_INPUT` The feature id for the 'EBinding Input' containment reference
`static int` | `BINDING_OPERATION__EBINDING_OUTPUT` The feature id for the 'EBinding Output' containment reference
`static int` | `BINDING_OPERATION__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `BINDING_OPERATION__ELEMENT` The feature id for the 'Element' attribute
`static int` | `BINDING_OPERATION__EOPERATION` The feature id for the 'EOperation' reference
`static int` | `BINDING_OPERATION__NAME` The feature id for the 'Name' attribute
`static int` | `BINDING_OPERATION_FEATURE_COUNT` The number of structural features of the 'Binding Operation' class
`static int` | `BINDING_OUTPUT` The meta object id for the '`Binding Output`' class
`static int` | `BINDING_OUTPUT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `BINDING_OUTPUT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `BINDING_OUTPUT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `BINDING_OUTPUT__EOUTPUT` The feature id for the 'EOutput' reference
`static int` | `BINDING_OUTPUT__NAME` The feature id for the 'Name' attribute
`static int` | `BINDING_OUTPUT_FEATURE_COUNT` The number of structural features of the 'Binding Output' class
`static int` | `DEFINITION` The meta object id for the '`Definition`' class
`static int` | `DEFINITION__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `DEFINITION__EBINDINGS` The feature id for the 'EBindings' containment reference list
`static int` | `DEFINITION__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `DEFINITION__EIMPORTS` The feature id for the 'EImports' containment reference list
`static int` | `DEFINITION__ELEMENT` The feature id for the 'Element' attribute
`static int` | `DEFINITION__EMESSAGES` The feature id for the 'EMessages' containment reference list
`static int` | `DEFINITION__ENAMESPACES` The feature id for the 'ENamespaces' containment reference list
`static int` | `DEFINITION__ENCODING` The feature id for the 'Encoding' attribute
`static int` | `DEFINITION__EPORT_TYPES` The feature id for the 'EPort Types' containment reference list
`static int` | `DEFINITION__ESERVICES` The feature id for the 'EServices' containment reference list
`static int` | `DEFINITION__ETYPES` The feature id for the 'ETypes' containment reference
`static int` | `DEFINITION__LOCATION` The feature id for the 'Location' attribute
`static int` | `DEFINITION__QNAME` The feature id for the 'QName' attribute
`static int` | `DEFINITION__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` | `DEFINITION_FEATURE_COUNT` The number of structural features of the 'Definition' class
`static int` | `DOM_DOCUMENT` The meta object id for the 'DOM Document' data type
`static int` | `DOM_ELEMENT` The meta object id for the 'DOM Element' data type
`static WSDLPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `EXTENSIBILITY_ELEMENT` The meta object id for the '`Extensibility Element`' class
`static int` | `EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `EXTENSIBILITY_ELEMENT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `EXTENSIBILITY_ELEMENT__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `EXTENSIBILITY_ELEMENT__REQUIRED` The feature id for the 'Required' attribute
`static int` | `EXTENSIBILITY_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Extensibility Element' class
`static int` | `EXTENSIBLE_ELEMENT` The meta object id for the '`Extensible Element`' class
`static int` | `EXTENSIBLE_ELEMENT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `EXTENSIBLE_ELEMENT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `EXTENSIBLE_ELEMENT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `EXTENSIBLE_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Extensible Element' class
`static int` | `FAULT` The meta object id for the '`Fault`' class
`static int` | `FAULT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `FAULT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `FAULT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `FAULT__EMESSAGE` The feature id for the 'EMessage' reference
`static int` | `FAULT__NAME` The feature id for the 'Name' attribute
`static int` | `FAULT_FEATURE_COUNT` The number of structural features of the 'Fault' class
`static int` | `IBINDING` The meta object id for the '`IBinding`' class
`static int` | `IBINDING_FAULT` The meta object id for the '`IBinding Fault`' class
`static int` | `IBINDING_FAULT_FEATURE_COUNT` The number of structural features of the 'IBinding Fault' class
`static int` | `IBINDING_FEATURE_COUNT` The number of structural features of the 'IBinding' class
`static int` | `IBINDING_INPUT` The meta object id for the '`IBinding Input`' class
`static int` | `IBINDING_INPUT_FEATURE_COUNT` The number of structural features of the 'IBinding Input' class
`static int` | `IBINDING_OPERATION` The meta object id for the '`IBinding Operation`' class
`static int` | `IBINDING_OPERATION_FEATURE_COUNT` The number of structural features of the 'IBinding Operation' class
`static int` | `IBINDING_OUTPUT` The meta object id for the '`IBinding Output`' class
`static int` | `IBINDING_OUTPUT_FEATURE_COUNT` The number of structural features of the 'IBinding Output' class
`static int` | `IDEFINITION` The meta object id for the '`IDefinition`' class
`static int` | `IDEFINITION_FEATURE_COUNT` The number of structural features of the 'IDefinition' class
`static int` | `IEXTENSIBILITY_ELEMENT` The meta object id for the '`IExtensibility Element`' class
`static int` | `IEXTENSIBILITY_ELEMENT_FEATURE_COUNT` The number of structural features of the 'IExtensibility Element' class
`static int` | `IEXTENSION_REGISTRY` The meta object id for the '`IExtension Registry`' class
`static int` | `IEXTENSION_REGISTRY_FEATURE_COUNT` The number of structural features of the 'IExtension Registry' class
`static int` | `IFAULT` The meta object id for the '`IFault`' class
`static int` | `IFAULT_FEATURE_COUNT` The number of structural features of the 'IFault' class
`static int` | `IIMPORT` The meta object id for the '`IImport`' class
`static int` | `IIMPORT_FEATURE_COUNT` The number of structural features of the 'IImport' class
`static int` | `IINPUT` The meta object id for the '`IInput`' class
`static int` | `IINPUT_FEATURE_COUNT` The number of structural features of the 'IInput' class
`static int` | `IITERATOR` The meta object id for the '`IIterator`' class
`static int` | `IITERATOR_FEATURE_COUNT` The number of structural features of the 'IIterator' class
`static int` | `ILIST` The meta object id for the '`IList`' class
`static int` | `ILIST_FEATURE_COUNT` The number of structural features of the 'IList' class
`static int` | `IMAP` The meta object id for the '`IMap`' class
`static int` | `IMAP_FEATURE_COUNT` The number of structural features of the 'IMap' class
`static int` | `IMESSAGE` The meta object id for the '`IMessage`' class
`static int` | `IMESSAGE_FEATURE_COUNT` The number of structural features of the 'IMessage' class
`static int` | `IMPORT` The meta object id for the '`Import`' class
`static int` | `IMPORT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `IMPORT__EDEFINITION` The feature id for the 'EDefinition' reference
`static int` | `IMPORT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `IMPORT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `IMPORT__ESCHEMA` The feature id for the 'ESchema' reference
`static int` | `IMPORT__LOCATION_URI` The feature id for the 'Location URI' attribute
`static int` | `IMPORT__NAMESPACE_URI` The feature id for the 'Namespace URI' attribute
`static int` | `IMPORT_FEATURE_COUNT` The number of structural features of the 'Import' class
`static int` | `INPUT` The meta object id for the '`Input`' class
`static int` | `INPUT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `INPUT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `INPUT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `INPUT__EMESSAGE` The feature id for the 'EMessage' reference
`static int` | `INPUT__NAME` The feature id for the 'Name' attribute
`static int` | `INPUT_FEATURE_COUNT` The number of structural features of the 'Input' class
`static int` | `IOPERATION` The meta object id for the '`IOperation`' class
`static int` | `IOPERATION_FEATURE_COUNT` The number of structural features of the 'IOperation' class
`static int` | `IOUTPUT` The meta object id for the '`IOutput`' class
`static int` | `IOUTPUT_FEATURE_COUNT` The number of structural features of the 'IOutput' class
`static int` | `IPART` The meta object id for the '`IPart`' class
`static int` | `IPART_FEATURE_COUNT` The number of structural features of the 'IPart' class
`static int` | `IPORT` The meta object id for the '`IPort`' class
`static int` | `IPORT_FEATURE_COUNT` The number of structural features of the 'IPort' class
`static int` | `IPORT_TYPE` The meta object id for the '`IPort Type`' class
`static int` | `IPORT_TYPE_FEATURE_COUNT` The number of structural features of the 'IPort Type' class
`static int` | `ISERVICE` The meta object id for the '`IService`' class
`static int` | `ISERVICE_FEATURE_COUNT` The number of structural features of the 'IService' class
`static int` | `ITYPES` The meta object id for the '`ITypes`' class
`static int` | `ITYPES_FEATURE_COUNT` The number of structural features of the 'ITypes' class
`static int` | `IURL` The meta object id for the '`IURL`' class
`static int` | `IURL_FEATURE_COUNT` The number of structural features of the 'IURL' class
`static int` | `MESSAGE` The meta object id for the '`Message`' class
`static int` | `MESSAGE__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `MESSAGE__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `MESSAGE__ELEMENT` The feature id for the 'Element' attribute
`static int` | `MESSAGE__EPARTS` The feature id for the 'EParts' containment reference list
`static int` | `MESSAGE__QNAME` The feature id for the 'QName' attribute
`static int` | `MESSAGE__UNDEFINED` The feature id for the 'Undefined' attribute
`static int` | `MESSAGE_FEATURE_COUNT` The number of structural features of the 'Message' class
`static int` | `MESSAGE_REFERENCE` The meta object id for the '`Message Reference`' class
`static int` | `MESSAGE_REFERENCE__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `MESSAGE_REFERENCE__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `MESSAGE_REFERENCE__ELEMENT` The feature id for the 'Element' attribute
`static int` | `MESSAGE_REFERENCE__EMESSAGE` The feature id for the 'EMessage' reference
`static int` | `MESSAGE_REFERENCE__NAME` The feature id for the 'Name' attribute
`static int` | `MESSAGE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Message Reference' class
`static int` | `NAMESPACE` The meta object id for the '`Namespace`' class
`static int` | `NAMESPACE__PREFIX` The feature id for the 'Prefix' attribute
`static int` | `NAMESPACE__URI` The feature id for the 'URI' attribute
`static int` | `NAMESPACE_FEATURE_COUNT` The number of structural features of the 'Namespace' class
`static int` | `OPERATION` The meta object id for the '`Operation`' class
`static int` | `OPERATION__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `OPERATION__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `OPERATION__EFAULTS` The feature id for the 'EFaults' containment reference list
`static int` | `OPERATION__EINPUT` The feature id for the 'EInput' containment reference
`static int` | `OPERATION__ELEMENT` The feature id for the 'Element' attribute
`static int` | `OPERATION__EOUTPUT` The feature id for the 'EOutput' containment reference
`static int` | `OPERATION__EPARAMETER_ORDERING` The feature id for the 'EParameter Ordering' reference list
`static int` | `OPERATION__NAME` The feature id for the 'Name' attribute
`static int` | `OPERATION__STYLE` The feature id for the 'Style' attribute
`static int` | `OPERATION__UNDEFINED` The feature id for the 'Undefined' attribute
`static int` | `OPERATION_FEATURE_COUNT` The number of structural features of the 'Operation' class
`static int` | `OPERATION_TYPE` The meta object id for the 'Operation Type' data type
`static int` | `OUTPUT` The meta object id for the '`Output`' class
`static int` | `OUTPUT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `OUTPUT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `OUTPUT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `OUTPUT__EMESSAGE` The feature id for the 'EMessage' reference
`static int` | `OUTPUT__NAME` The feature id for the 'Name' attribute
`static int` | `OUTPUT_FEATURE_COUNT` The number of structural features of the 'Output' class
`static int` | `PART` The meta object id for the '`Part`' class
`static int` | `PART__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `PART__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `PART__ELEMENT` The feature id for the 'Element' attribute
`static int` | `PART__ELEMENT_DECLARATION` The feature id for the 'Element Declaration' reference
`static int` | `PART__ELEMENT_NAME` The feature id for the 'Element Name' attribute
`static int` | `PART__EMESSAGE` The feature id for the 'EMessage' reference
`static int` | `PART__NAME` The feature id for the 'Name' attribute
`static int` | `PART__TYPE_DEFINITION` The feature id for the 'Type Definition' reference
`static int` | `PART__TYPE_NAME` The feature id for the 'Type Name' attribute
`static int` | `PART_FEATURE_COUNT` The number of structural features of the 'Part' class
`static int` | `PORT` The meta object id for the '`Port`' class
`static int` | `PORT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `PORT__EBINDING` The feature id for the 'EBinding' reference
`static int` | `PORT__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `PORT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `PORT__NAME` The feature id for the 'Name' attribute
`static int` | `PORT_FEATURE_COUNT` The number of structural features of the 'Port' class
`static int` | `PORT_TYPE` The meta object id for the '`Port Type`' class
`static int` | `PORT_TYPE__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `PORT_TYPE__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `PORT_TYPE__ELEMENT` The feature id for the 'Element' attribute
`static int` | `PORT_TYPE__EOPERATIONS` The feature id for the 'EOperations' containment reference list
`static int` | `PORT_TYPE__QNAME` The feature id for the 'QName' attribute
`static int` | `PORT_TYPE__UNDEFINED` The feature id for the 'Undefined' attribute
`static int` | `PORT_TYPE_FEATURE_COUNT` The number of structural features of the 'Port Type' class
`static int` | `QNAME` The meta object id for the 'QName' data type
`static int` | `SERVICE` The meta object id for the '`Service`' class
`static int` | `SERVICE__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `SERVICE__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `SERVICE__ELEMENT` The feature id for the 'Element' attribute
`static int` | `SERVICE__EPORTS` The feature id for the 'EPorts' containment reference list
`static int` | `SERVICE__QNAME` The feature id for the 'QName' attribute
`static int` | `SERVICE__UNDEFINED` The feature id for the 'Undefined' attribute
`static int` | `SERVICE_FEATURE_COUNT` The number of structural features of the 'Service' class
`static int` | `TYPES` The meta object id for the '`Types`' class
`static int` | `TYPES__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `TYPES__EEXTENSIBILITY_ELEMENTS` The feature id for the 'EExtensibility Elements' containment reference list
`static int` | `TYPES__ELEMENT` The feature id for the 'Element' attribute
`static int` | `TYPES_FEATURE_COUNT` The number of structural features of the 'Types' class
`static int` | `UNKNOWN_EXTENSIBILITY_ELEMENT` The meta object id for the '`Unknown Extensibility Element`' class
`static int` | `UNKNOWN_EXTENSIBILITY_ELEMENT__CHILDREN` The feature id for the 'Children' containment reference list
`static int` | `UNKNOWN_EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `UNKNOWN_EXTENSIBILITY_ELEMENT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `UNKNOWN_EXTENSIBILITY_ELEMENT__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `UNKNOWN_EXTENSIBILITY_ELEMENT__REQUIRED` The feature id for the 'Required' attribute
`static int` | `UNKNOWN_EXTENSIBILITY_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Unknown Extensibility Element' class
`static int` | `WSDL_ELEMENT` The meta object id for the '`Element`' class
`static int` | `WSDL_ELEMENT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `WSDL_ELEMENT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `WSDL_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Element' class
`static int` | `WSDL_EXCEPTION` The meta object id for the 'Exception' data type
`static int` | `XSD_SCHEMA_EXTENSIBILITY_ELEMENT` The meta object id for the '`XSD Schema Extensibility Element`' class
`static int` | `XSD_SCHEMA_EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` | `XSD_SCHEMA_EXTENSIBILITY_ELEMENT__ELEMENT` The feature id for the 'Element' attribute
`static int` | `XSD_SCHEMA_EXTENSIBILITY_ELEMENT__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` | `XSD_SCHEMA_EXTENSIBILITY_ELEMENT__REQUIRED` The feature id for the 'Required' attribute
`static int` | `XSD_SCHEMA_EXTENSIBILITY_ELEMENT__SCHEMA` The feature id for the 'Schema' containment reference
`static int` | `XSD_SCHEMA_EXTENSIBILITY_ELEMENT_FEATURE_COUNT` The number of structural features of the 'XSD Schema Extensibility Element' class

Method Summary
`EReference` | `getBinding_EBindingOperations()` Returns the meta object for the containment reference list '`EBinding Operations`'
`EReference` | `getBinding_EPortType()` Returns the meta object for the reference '`EPort Type`'
`EAttribute` | `getBinding_QName()` Returns the meta object for the attribute '`QName`'
`EAttribute` | `getBinding_Undefined()` Returns the meta object for the attribute '`Undefined`'
`EClass` | `getBinding()` Returns the meta object for class '`Binding`'
`EReference` | `getBindingFault_EFault()` Returns the meta object for the reference '`EFault`'
`EAttribute` | `getBindingFault_Name()` Returns the meta object for the attribute '`Name`'
`EClass` | `getBindingFault()` Returns the meta object for class '`Binding Fault`'
`EReference` | `getBindingInput_EInput()` Returns the meta object for the reference '`EInput`'
`EAttribute` | `getBindingInput_Name()` Returns the meta object for the attribute '`Name`'
`EClass` | `getBindingInput()` Returns the meta object for class '`Binding Input`'
`EReference` | `getBindingOperation_EBindingFaults()` Returns the meta object for the containment reference list '`EBinding Faults`'
`EReference` | `getBindingOperation_EBindingInput()` Returns the meta object for the containment reference '`EBinding Input`'
`EReference` | `getBindingOperation_EBindingOutput()` Returns the meta object for the containment reference '`EBinding Output`'
`EReference` | `getBindingOperation_EOperation()` Returns the meta object for the reference '`EOperation`'
`EAttribute` | `getBindingOperation_Name()` Returns the meta object for the attribute '`Name`'
`EClass` | `getBindingOperation()` Returns the meta object for class '`Binding Operation`'
`EReference` | `getBindingOutput_EOutput()` Returns the meta object for the reference '`EOutput`'
`EAttribute` | `getBindingOutput_Name()` Returns the meta object for the attribute '`Name`'
`EClass` | `getBindingOutput()` Returns the meta object for class '`Binding Output`'
`EReference` | `getDefinition_EBindings()` Returns the meta object for the containment reference list '`EBindings`'
`EReference` | `getDefinition_EImports()` Returns the meta object for the containment reference list '`EImports`'
`EReference` | `getDefinition_EMessages()` Returns the meta object for the containment reference list '`EMessages`'
`EReference` | `getDefinition_ENamespaces()` Returns the meta object for the containment reference list '`ENamespaces`'
`EAttribute` | `getDefinition_Encoding()` Returns the meta object for the attribute '`Encoding`'
`EReference` | `getDefinition_EPortTypes()` Returns the meta object for the containment reference list '`EPort Types`'
`EReference` | `getDefinition_EServices()` Returns the meta object for the containment reference list '`EServices`'
`EReference` | `getDefinition_ETypes()` Returns the meta object for the containment reference '`ETypes`'
`EAttribute` | `getDefinition_Location()` Returns the meta object for the attribute '`Location`'
`EAttribute` | `getDefinition_QName()` Returns the meta object for the attribute '`QName`'
`EAttribute` | `getDefinition_TargetNamespace()` Returns the meta object for the attribute '`Target Namespace`'
`EClass` | `getDefinition()` Returns the meta object for class '`Definition`'
`EDataType` | `getDOMDocument()` Returns the meta object for data type '`DOM Document`'
`EDataType` | `getDOMElement()` Returns the meta object for data type '`DOM Element`'
`EAttribute` | `getExtensibilityElement_ElementType()` Returns the meta object for the attribute '`Element Type`'
`EAttribute` | `getExtensibilityElement_Required()` Returns the meta object for the attribute '`Required`'
`EClass` | `getExtensibilityElement()` Returns the meta object for class '`Extensibility Element`'
`EReference` | `getExtensibleElement_EExtensibilityElements()` Returns the meta object for the containment reference list '`EExtensibility Elements`'
`EClass` | `getExtensibleElement()` Returns the meta object for class '`Extensible Element`'
`EClass` | `getFault()` Returns the meta object for class '`Fault`'
`EClass` | `getIBinding()` Returns the meta object for class '`IBinding`'
`EClass` | `getIBindingFault()` Returns the meta object for class '`IBinding Fault`'
`EClass` | `getIBindingInput()` Returns the meta object for class '`IBinding Input`'
`EClass` | `getIBindingOperation()` Returns the meta object for class '`IBinding Operation`'
`EClass` | `getIBindingOutput()` Returns the meta object for class '`IBinding Output`'
`EClass` | `getIDefinition()` Returns the meta object for class '`IDefinition`'
`EClass` | `getIExtensibilityElement()` Returns the meta object for class '`IExtensibility Element`'
`EClass` | `getIExtensionRegistry()` Returns the meta object for class '`IExtension Registry`'
`EClass` | `getIFault()` Returns the meta object for class '`IFault`'
`EClass` | `getIImport()` Returns the meta object for class '`IImport`'
`EClass` | `getIInput()` Returns the meta object for class '`IInput`'
`EClass` | `getIIterator()` Returns the meta object for class '`IIterator`'
`EClass` | `getIList()` Returns the meta object for class '`IList`'
`EClass` | `getIMap()` Returns the meta object for class '`IMap`'
`EClass` | `getIMessage()` Returns the meta object for class '`IMessage`'
`EReference` | `getImport_EDefinition()` Returns the meta object for the reference '`EDefinition`'
`EReference` | `getImport_ESchema()` Returns the meta object for the reference '`ESchema`'
`EAttribute` | `getImport_LocationURI()` Returns the meta object for the attribute '`Location URI`'
`EAttribute` | `getImport_NamespaceURI()` Returns the meta object for the attribute '`Namespace URI`'
`EClass` | `getImport()` Returns the meta object for class '`Import`'
`EClass` | `getInput()` Returns the meta object for class '`Input`'
`EClass` | `getIOperation()` Returns the meta object for class '`IOperation`'
`EClass` | `getIOutput()` Returns the meta object for class '`IOutput`'
`EClass` | `getIPart()` Returns the meta object for class '`IPart`'
`EClass` | `getIPort()` Returns the meta object for class '`IPort`'
`EClass` | `getIPortType()` Returns the meta object for class '`IPort Type`'
`EClass` | `getIService()` Returns the meta object for class '`IService`'
`EClass` | `getITypes()` Returns the meta object for class '`ITypes`'
`EClass` | `getIURL()` Returns the meta object for class '`IURL`'
`EReference` | `getMessage_EParts()` Returns the meta object for the containment reference list '`EParts`'
`EAttribute` | `getMessage_QName()` Returns the meta object for the attribute '`QName`'
`EAttribute` | `getMessage_Undefined()` Returns the meta object for the attribute '`Undefined`'
`EClass` | `getMessage()` Returns the meta object for class '`Message`'
`EReference` | `getMessageReference_EMessage()` Returns the meta object for the reference '`EMessage`'
`EAttribute` | `getMessageReference_Name()` Returns the meta object for the attribute '`Name`'
`EClass` | `getMessageReference()` Returns the meta object for class '`Message Reference`'
`EAttribute` | `getNamespace_Prefix()` Returns the meta object for the attribute '`Prefix`'
`EAttribute` | `getNamespace_URI()` Returns the meta object for the attribute '`URI`'
`EClass` | `getNamespace()` Returns the meta object for class '`Namespace`'
`EReference` | `getOperation_EFaults()` Returns the meta object for the containment reference list '`EFaults`'
`EReference` | `getOperation_EInput()` Returns the meta object for the containment reference '`EInput`'
`EReference` | `getOperation_EOutput()` Returns the meta object for the containment reference '`EOutput`'
`EReference` | `getOperation_EParameterOrdering()` Returns the meta object for the reference list '`EParameter Ordering`'
`EAttribute` | `getOperation_Name()` Returns the meta object for the attribute '`Name`'
`EAttribute` | `getOperation_Style()` Returns the meta object for the attribute '`Style`'
`EAttribute` | `getOperation_Undefined()` Returns the meta object for the attribute '`Undefined`'
`EClass` | `getOperation()` Returns the meta object for class '`Operation`'
`EDataType` | `getOperationType()` Returns the meta object for data type '`Operation Type`'
`EClass` | `getOutput()` Returns the meta object for class '`Output`'
`EReference` | `getPart_ElementDeclaration()` Returns the meta object for the reference '`Element Declaration`'
`EAttribute` | `getPart_ElementName()` Returns the meta object for the attribute '`Element Name`'
`EReference` | `getPart_EMessage()` Returns the meta object for the reference '`EMessage`'
`EAttribute` | `getPart_Name()` Returns the meta object for the attribute '`Name`'
`EReference` | `getPart_TypeDefinition()` Returns the meta object for the reference '`Type Definition`'
`EAttribute` | `getPart_TypeName()` Returns the meta object for the attribute '`Type Name`'
`EClass` | `getPart()` Returns the meta object for class '`Part`'
`EReference` | `getPort_EBinding()` Returns the meta object for the reference '`EBinding`'
`EAttribute` | `getPort_Name()` Returns the meta object for the attribute '`Name`'
`EClass` | `getPort()` Returns the meta object for class '`Port`'
`EReference` | `getPortType_EOperations()` Returns the meta object for the containment reference list '`EOperations`'
`EAttribute` | `getPortType_QName()` Returns the meta object for the attribute '`QName`'
`EAttribute` | `getPortType_Undefined()` Returns the meta object for the attribute '`Undefined`'
`EClass` | `getPortType()` Returns the meta object for class '`Port Type`'
`EDataType` | `getQName()` Returns the meta object for data type '`QName`'
`EReference` | `getService_EPorts()` Returns the meta object for the containment reference list '`EPorts`'
`EAttribute` | `getService_QName()` Returns the meta object for the attribute '`QName`'
`EAttribute` | `getService_Undefined()` Returns the meta object for the attribute '`Undefined`'
`EClass` | `getService()` Returns the meta object for class '`Service`'
`EClass` | `getTypes()` Returns the meta object for class '`Types`'
`EReference` | `getUnknownExtensibilityElement_Children()` Returns the meta object for the containment reference list '`Children`'
`EClass` | `getUnknownExtensibilityElement()` Returns the meta object for class '`Unknown Extensibility Element`'
`EAttribute` | `getWSDLElement_DocumentationElement()` Returns the meta object for the attribute '`Documentation Element`'
`EAttribute` | `getWSDLElement_Element()` Returns the meta object for the attribute '`Element`'
`EClass` | `getWSDLElement()` Returns the meta object for class '`Element`'
`EDataType` | `getWSDLException()` Returns the meta object for data type '`Exception`'
`WSDLFactory` | `getWSDLFactory()` Returns the factory that creates the instances of the model
`EReference` | `getXSDSchemaExtensibilityElement_Schema()` Returns the meta object for the containment reference '`Schema`'
`EClass` | `getXSDSchemaExtensibilityElement()` Returns the meta object for class '`XSD Schema Extensibility Element`'

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final WSDLPackage eINSTANCE

  The singleton instance of the package.

### WSDL_ELEMENT

    static final int WSDL_ELEMENT

  The meta object id for the '`Element`' class.

  See Also:
    `WSDLElementImpl`, `WSDLPackageImpl.getWSDLElement()`, Constant Field Values

### WSDL_ELEMENT__DOCUMENTATION_ELEMENT

    static final int WSDL_ELEMENT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### WSDL_ELEMENT__ELEMENT

    static final int WSDL_ELEMENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### WSDL_ELEMENT_FEATURE_COUNT

    static final int WSDL_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Element' class.

  See Also:
    Constant Field Values

### EXTENSIBLE_ELEMENT

    static final int EXTENSIBLE_ELEMENT

  The meta object id for the '`Extensible Element`' class.

  See Also:
    `ExtensibleElementImpl`, `WSDLPackageImpl.getExtensibleElement()`, Constant Field Values

### EXTENSIBLE_ELEMENT__DOCUMENTATION_ELEMENT

    static final int EXTENSIBLE_ELEMENT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### EXTENSIBLE_ELEMENT__ELEMENT

    static final int EXTENSIBLE_ELEMENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### EXTENSIBLE_ELEMENT__EEXTENSIBILITY_ELEMENTS

    static final int EXTENSIBLE_ELEMENT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### EXTENSIBLE_ELEMENT_FEATURE_COUNT

    static final int EXTENSIBLE_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Extensible Element' class.

  See Also:
    Constant Field Values

### PORT_TYPE

    static final int PORT_TYPE

  The meta object id for the '`Port Type`' class.

  See Also:
    `PortTypeImpl`, `WSDLPackageImpl.getPortType()`, Constant Field Values

### PORT_TYPE__DOCUMENTATION_ELEMENT

    static final int PORT_TYPE__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### PORT_TYPE__ELEMENT

    static final int PORT_TYPE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### PORT_TYPE__EEXTENSIBILITY_ELEMENTS

    static final int PORT_TYPE__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### PORT_TYPE__QNAME

    static final int PORT_TYPE__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### PORT_TYPE__UNDEFINED

    static final int PORT_TYPE__UNDEFINED

  The feature id for the 'Undefined' attribute.

  See Also:
    Constant Field Values

### PORT_TYPE__EOPERATIONS

    static final int PORT_TYPE__EOPERATIONS

  The feature id for the 'EOperations' containment reference list.

  See Also:
    Constant Field Values

### PORT_TYPE_FEATURE_COUNT

    static final int PORT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Port Type' class.

  See Also:
    Constant Field Values

### OPERATION

    static final int OPERATION

  The meta object id for the '`Operation`' class.

  See Also:
    `OperationImpl`, `WSDLPackageImpl.getOperation()`, Constant Field Values

### OPERATION__DOCUMENTATION_ELEMENT

    static final int OPERATION__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### OPERATION__ELEMENT

    static final int OPERATION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### OPERATION__EEXTENSIBILITY_ELEMENTS

    static final int OPERATION__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### OPERATION__STYLE

    static final int OPERATION__STYLE

  The feature id for the 'Style' attribute.

  See Also:
    Constant Field Values

### OPERATION__NAME

    static final int OPERATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### OPERATION__UNDEFINED

    static final int OPERATION__UNDEFINED

  The feature id for the 'Undefined' attribute.

  See Also:
    Constant Field Values

### OPERATION__EINPUT

    static final int OPERATION__EINPUT

  The feature id for the 'EInput' containment reference.

  See Also:
    Constant Field Values

### OPERATION__EOUTPUT

    static final int OPERATION__EOUTPUT

  The feature id for the 'EOutput' containment reference.

  See Also:
    Constant Field Values

### OPERATION__EFAULTS

    static final int OPERATION__EFAULTS

  The feature id for the 'EFaults' containment reference list.

  See Also:
    Constant Field Values

### OPERATION__EPARAMETER_ORDERING

    static final int OPERATION__EPARAMETER_ORDERING

  The feature id for the 'EParameter Ordering' reference list.

  See Also:
    Constant Field Values

### OPERATION_FEATURE_COUNT

    static final int OPERATION_FEATURE_COUNT

  The number of structural features of the 'Operation' class.

  See Also:
    Constant Field Values

### MESSAGE

    static final int MESSAGE

  The meta object id for the '`Message`' class.

  See Also:
    `MessageImpl`, `WSDLPackageImpl.getMessage()`, Constant Field Values

### MESSAGE__DOCUMENTATION_ELEMENT

    static final int MESSAGE__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### MESSAGE__ELEMENT

    static final int MESSAGE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### MESSAGE__EEXTENSIBILITY_ELEMENTS

    static final int MESSAGE__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE__QNAME

    static final int MESSAGE__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### MESSAGE__UNDEFINED

    static final int MESSAGE__UNDEFINED

  The feature id for the 'Undefined' attribute.

  See Also:
    Constant Field Values

### MESSAGE__EPARTS

    static final int MESSAGE__EPARTS

  The feature id for the 'EParts' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_FEATURE_COUNT

    static final int MESSAGE_FEATURE_COUNT

  The number of structural features of the 'Message' class.

  See Also:
    Constant Field Values

### PART

    static final int PART

  The meta object id for the '`Part`' class.

  See Also:
    `PartImpl`, `WSDLPackageImpl.getPart()`, Constant Field Values

### PART__DOCUMENTATION_ELEMENT

    static final int PART__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### PART__ELEMENT

    static final int PART__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### PART__EEXTENSIBILITY_ELEMENTS

    static final int PART__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### PART__NAME

    static final int PART__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PART__ELEMENT_NAME

    static final int PART__ELEMENT_NAME

  The feature id for the 'Element Name' attribute.

  See Also:
    Constant Field Values

### PART__TYPE_NAME

    static final int PART__TYPE_NAME

  The feature id for the 'Type Name' attribute.

  See Also:
    Constant Field Values

### PART__TYPE_DEFINITION

    static final int PART__TYPE_DEFINITION

  The feature id for the 'Type Definition' reference.

  See Also:
    Constant Field Values

### PART__ELEMENT_DECLARATION

    static final int PART__ELEMENT_DECLARATION

  The feature id for the 'Element Declaration' reference.

  See Also:
    Constant Field Values

### PART__EMESSAGE

    static final int PART__EMESSAGE

  The feature id for the 'EMessage' reference.

  See Also:
    Constant Field Values

### PART_FEATURE_COUNT

    static final int PART_FEATURE_COUNT

  The number of structural features of the 'Part' class.

  See Also:
    Constant Field Values

### BINDING

    static final int BINDING

  The meta object id for the '`Binding`' class.

  See Also:
    `BindingImpl`, `WSDLPackageImpl.getBinding()`, Constant Field Values

### BINDING__DOCUMENTATION_ELEMENT

    static final int BINDING__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### BINDING__ELEMENT

    static final int BINDING__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### BINDING__EEXTENSIBILITY_ELEMENTS

    static final int BINDING__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### BINDING__QNAME

    static final int BINDING__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### BINDING__UNDEFINED

    static final int BINDING__UNDEFINED

  The feature id for the 'Undefined' attribute.

  See Also:
    Constant Field Values

### BINDING__EPORT_TYPE

    static final int BINDING__EPORT_TYPE

  The feature id for the 'EPort Type' reference.

  See Also:
    Constant Field Values

### BINDING__EBINDING_OPERATIONS

    static final int BINDING__EBINDING_OPERATIONS

  The feature id for the 'EBinding Operations' containment reference list.

  See Also:
    Constant Field Values

### BINDING_FEATURE_COUNT

    static final int BINDING_FEATURE_COUNT

  The number of structural features of the 'Binding' class.

  See Also:
    Constant Field Values

### BINDING_OPERATION

    static final int BINDING_OPERATION

  The meta object id for the '`Binding Operation`' class.

  See Also:
    `BindingOperationImpl`, `WSDLPackageImpl.getBindingOperation()`, Constant Field Values

### BINDING_OPERATION__DOCUMENTATION_ELEMENT

    static final int BINDING_OPERATION__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### BINDING_OPERATION__ELEMENT

    static final int BINDING_OPERATION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### BINDING_OPERATION__EEXTENSIBILITY_ELEMENTS

    static final int BINDING_OPERATION__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### BINDING_OPERATION__NAME

    static final int BINDING_OPERATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BINDING_OPERATION__EOPERATION

    static final int BINDING_OPERATION__EOPERATION

  The feature id for the 'EOperation' reference.

  See Also:
    Constant Field Values

### BINDING_OPERATION__EBINDING_INPUT

    static final int BINDING_OPERATION__EBINDING_INPUT

  The feature id for the 'EBinding Input' containment reference.

  See Also:
    Constant Field Values

### BINDING_OPERATION__EBINDING_OUTPUT

    static final int BINDING_OPERATION__EBINDING_OUTPUT

  The feature id for the 'EBinding Output' containment reference.

  See Also:
    Constant Field Values

### BINDING_OPERATION__EBINDING_FAULTS

    static final int BINDING_OPERATION__EBINDING_FAULTS

  The feature id for the 'EBinding Faults' containment reference list.

  See Also:
    Constant Field Values

### BINDING_OPERATION_FEATURE_COUNT

    static final int BINDING_OPERATION_FEATURE_COUNT

  The number of structural features of the 'Binding Operation' class.

  See Also:
    Constant Field Values

### SERVICE

    static final int SERVICE

  The meta object id for the '`Service`' class.

  See Also:
    `ServiceImpl`, `WSDLPackageImpl.getService()`, Constant Field Values

### SERVICE__DOCUMENTATION_ELEMENT

    static final int SERVICE__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SERVICE__ELEMENT

    static final int SERVICE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SERVICE__EEXTENSIBILITY_ELEMENTS

    static final int SERVICE__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### SERVICE__QNAME

    static final int SERVICE__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### SERVICE__UNDEFINED

    static final int SERVICE__UNDEFINED

  The feature id for the 'Undefined' attribute.

  See Also:
    Constant Field Values

### SERVICE__EPORTS

    static final int SERVICE__EPORTS

  The feature id for the 'EPorts' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_FEATURE_COUNT

    static final int SERVICE_FEATURE_COUNT

  The number of structural features of the 'Service' class.

  See Also:
    Constant Field Values

### PORT

    static final int PORT

  The meta object id for the '`Port`' class.

  See Also:
    `PortImpl`, `WSDLPackageImpl.getPort()`, Constant Field Values

### PORT__DOCUMENTATION_ELEMENT

    static final int PORT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### PORT__ELEMENT

    static final int PORT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### PORT__EEXTENSIBILITY_ELEMENTS

    static final int PORT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### PORT__NAME

    static final int PORT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PORT__EBINDING

    static final int PORT__EBINDING

  The feature id for the 'EBinding' reference.

  See Also:
    Constant Field Values

### PORT_FEATURE_COUNT

    static final int PORT_FEATURE_COUNT

  The number of structural features of the 'Port' class.

  See Also:
    Constant Field Values

### EXTENSIBILITY_ELEMENT

    static final int EXTENSIBILITY_ELEMENT

  The meta object id for the '`Extensibility Element`' class.

  See Also:
    `ExtensibilityElementImpl`, `WSDLPackageImpl.getExtensibilityElement()`, Constant Field Values

### EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT

    static final int EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### EXTENSIBILITY_ELEMENT__ELEMENT

    static final int EXTENSIBILITY_ELEMENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### EXTENSIBILITY_ELEMENT__REQUIRED

    static final int EXTENSIBILITY_ELEMENT__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### EXTENSIBILITY_ELEMENT__ELEMENT_TYPE

    static final int EXTENSIBILITY_ELEMENT__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### EXTENSIBILITY_ELEMENT_FEATURE_COUNT

    static final int EXTENSIBILITY_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Extensibility Element' class.

  See Also:
    Constant Field Values

### DEFINITION

    static final int DEFINITION

  The meta object id for the '`Definition`' class.

  See Also:
    `DefinitionImpl`, `WSDLPackageImpl.getDefinition()`, Constant Field Values

### DEFINITION__DOCUMENTATION_ELEMENT

    static final int DEFINITION__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### DEFINITION__ELEMENT

    static final int DEFINITION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### DEFINITION__EEXTENSIBILITY_ELEMENTS

    static final int DEFINITION__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### DEFINITION__TARGET_NAMESPACE

    static final int DEFINITION__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### DEFINITION__LOCATION

    static final int DEFINITION__LOCATION

  The feature id for the 'Location' attribute.

  See Also:
    Constant Field Values

### DEFINITION__QNAME

    static final int DEFINITION__QNAME

  The feature id for the 'QName' attribute.

  See Also:
    Constant Field Values

### DEFINITION__ENCODING

    static final int DEFINITION__ENCODING

  The feature id for the 'Encoding' attribute.

  See Also:
    Constant Field Values

### DEFINITION__EIMPORTS

    static final int DEFINITION__EIMPORTS

  The feature id for the 'EImports' containment reference list.

  See Also:
    Constant Field Values

### DEFINITION__ETYPES

    static final int DEFINITION__ETYPES

  The feature id for the 'ETypes' containment reference.

  See Also:
    Constant Field Values

### DEFINITION__EMESSAGES

    static final int DEFINITION__EMESSAGES

  The feature id for the 'EMessages' containment reference list.

  See Also:
    Constant Field Values

### DEFINITION__EPORT_TYPES

    static final int DEFINITION__EPORT_TYPES

  The feature id for the 'EPort Types' containment reference list.

  See Also:
    Constant Field Values

### DEFINITION__EBINDINGS

    static final int DEFINITION__EBINDINGS

  The feature id for the 'EBindings' containment reference list.

  See Also:
    Constant Field Values

### DEFINITION__ESERVICES

    static final int DEFINITION__ESERVICES

  The feature id for the 'EServices' containment reference list.

  See Also:
    Constant Field Values

### DEFINITION__ENAMESPACES

    static final int DEFINITION__ENAMESPACES

  The feature id for the 'ENamespaces' containment reference list.

  See Also:
    Constant Field Values

### DEFINITION_FEATURE_COUNT

    static final int DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Definition' class.

  See Also:
    Constant Field Values

### IMPORT

    static final int IMPORT

  The meta object id for the '`Import`' class.

  See Also:
    `ImportImpl`, `WSDLPackageImpl.getImport()`, Constant Field Values

### IMPORT__DOCUMENTATION_ELEMENT

    static final int IMPORT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### IMPORT__ELEMENT

    static final int IMPORT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### IMPORT__EEXTENSIBILITY_ELEMENTS

    static final int IMPORT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### IMPORT__NAMESPACE_URI

    static final int IMPORT__NAMESPACE_URI

  The feature id for the 'Namespace URI' attribute.

  See Also:
    Constant Field Values

### IMPORT__LOCATION_URI

    static final int IMPORT__LOCATION_URI

  The feature id for the 'Location URI' attribute.

  See Also:
    Constant Field Values

### IMPORT__EDEFINITION

    static final int IMPORT__EDEFINITION

  The feature id for the 'EDefinition' reference.

  See Also:
    Constant Field Values

### IMPORT__ESCHEMA

    static final int IMPORT__ESCHEMA

  The feature id for the 'ESchema' reference.

  See Also:
    Constant Field Values

### IMPORT_FEATURE_COUNT

    static final int IMPORT_FEATURE_COUNT

  The number of structural features of the 'Import' class.

  See Also:
    Constant Field Values

### MESSAGE_REFERENCE

    static final int MESSAGE_REFERENCE

  The meta object id for the '`Message Reference`' class.

  See Also:
    `MessageReferenceImpl`, `WSDLPackageImpl.getMessageReference()`, Constant Field Values

### MESSAGE_REFERENCE__DOCUMENTATION_ELEMENT

    static final int MESSAGE_REFERENCE__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### MESSAGE_REFERENCE__ELEMENT

    static final int MESSAGE_REFERENCE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### MESSAGE_REFERENCE__EEXTENSIBILITY_ELEMENTS

    static final int MESSAGE_REFERENCE__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_REFERENCE__NAME

    static final int MESSAGE_REFERENCE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MESSAGE_REFERENCE__EMESSAGE

    static final int MESSAGE_REFERENCE__EMESSAGE

  The feature id for the 'EMessage' reference.

  See Also:
    Constant Field Values

### MESSAGE_REFERENCE_FEATURE_COUNT

    static final int MESSAGE_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Message Reference' class.

  See Also:
    Constant Field Values

### INPUT

    static final int INPUT

  The meta object id for the '`Input`' class.

  See Also:
    `InputImpl`, `WSDLPackageImpl.getInput()`, Constant Field Values

### INPUT__DOCUMENTATION_ELEMENT

    static final int INPUT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### INPUT__ELEMENT

    static final int INPUT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### INPUT__EEXTENSIBILITY_ELEMENTS

    static final int INPUT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### INPUT__NAME

    static final int INPUT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INPUT__EMESSAGE

    static final int INPUT__EMESSAGE

  The feature id for the 'EMessage' reference.

  See Also:
    Constant Field Values

### INPUT_FEATURE_COUNT

    static final int INPUT_FEATURE_COUNT

  The number of structural features of the 'Input' class.

  See Also:
    Constant Field Values

### OUTPUT

    static final int OUTPUT

  The meta object id for the '`Output`' class.

  See Also:
    `OutputImpl`, `WSDLPackageImpl.getOutput()`, Constant Field Values

### OUTPUT__DOCUMENTATION_ELEMENT

    static final int OUTPUT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### OUTPUT__ELEMENT

    static final int OUTPUT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### OUTPUT__EEXTENSIBILITY_ELEMENTS

    static final int OUTPUT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### OUTPUT__NAME

    static final int OUTPUT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### OUTPUT__EMESSAGE

    static final int OUTPUT__EMESSAGE

  The feature id for the 'EMessage' reference.

  See Also:
    Constant Field Values

### OUTPUT_FEATURE_COUNT

    static final int OUTPUT_FEATURE_COUNT

  The number of structural features of the 'Output' class.

  See Also:
    Constant Field Values

### FAULT

    static final int FAULT

  The meta object id for the '`Fault`' class.

  See Also:
    `FaultImpl`, `WSDLPackageImpl.getFault()`, Constant Field Values

### FAULT__DOCUMENTATION_ELEMENT

    static final int FAULT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### FAULT__ELEMENT

    static final int FAULT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### FAULT__EEXTENSIBILITY_ELEMENTS

    static final int FAULT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### FAULT__NAME

    static final int FAULT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FAULT__EMESSAGE

    static final int FAULT__EMESSAGE

  The feature id for the 'EMessage' reference.

  See Also:
    Constant Field Values

### FAULT_FEATURE_COUNT

    static final int FAULT_FEATURE_COUNT

  The number of structural features of the 'Fault' class.

  See Also:
    Constant Field Values

### BINDING_INPUT

    static final int BINDING_INPUT

  The meta object id for the '`Binding Input`' class.

  See Also:
    `BindingInputImpl`, `WSDLPackageImpl.getBindingInput()`, Constant Field Values

### BINDING_INPUT__DOCUMENTATION_ELEMENT

    static final int BINDING_INPUT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### BINDING_INPUT__ELEMENT

    static final int BINDING_INPUT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### BINDING_INPUT__EEXTENSIBILITY_ELEMENTS

    static final int BINDING_INPUT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### BINDING_INPUT__NAME

    static final int BINDING_INPUT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BINDING_INPUT__EINPUT

    static final int BINDING_INPUT__EINPUT

  The feature id for the 'EInput' reference.

  See Also:
    Constant Field Values

### BINDING_INPUT_FEATURE_COUNT

    static final int BINDING_INPUT_FEATURE_COUNT

  The number of structural features of the 'Binding Input' class.

  See Also:
    Constant Field Values

### BINDING_OUTPUT

    static final int BINDING_OUTPUT

  The meta object id for the '`Binding Output`' class.

  See Also:
    `BindingOutputImpl`, `WSDLPackageImpl.getBindingOutput()`, Constant Field Values

### BINDING_OUTPUT__DOCUMENTATION_ELEMENT

    static final int BINDING_OUTPUT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### BINDING_OUTPUT__ELEMENT

    static final int BINDING_OUTPUT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### BINDING_OUTPUT__EEXTENSIBILITY_ELEMENTS

    static final int BINDING_OUTPUT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### BINDING_OUTPUT__NAME

    static final int BINDING_OUTPUT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BINDING_OUTPUT__EOUTPUT

    static final int BINDING_OUTPUT__EOUTPUT

  The feature id for the 'EOutput' reference.

  See Also:
    Constant Field Values

### BINDING_OUTPUT_FEATURE_COUNT

    static final int BINDING_OUTPUT_FEATURE_COUNT

  The number of structural features of the 'Binding Output' class.

  See Also:
    Constant Field Values

### BINDING_FAULT

    static final int BINDING_FAULT

  The meta object id for the '`Binding Fault`' class.

  See Also:
    `BindingFaultImpl`, `WSDLPackageImpl.getBindingFault()`, Constant Field Values

### BINDING_FAULT__DOCUMENTATION_ELEMENT

    static final int BINDING_FAULT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### BINDING_FAULT__ELEMENT

    static final int BINDING_FAULT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### BINDING_FAULT__EEXTENSIBILITY_ELEMENTS

    static final int BINDING_FAULT__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### BINDING_FAULT__NAME

    static final int BINDING_FAULT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BINDING_FAULT__EFAULT

    static final int BINDING_FAULT__EFAULT

  The feature id for the 'EFault' reference.

  See Also:
    Constant Field Values

### BINDING_FAULT_FEATURE_COUNT

    static final int BINDING_FAULT_FEATURE_COUNT

  The number of structural features of the 'Binding Fault' class.

  See Also:
    Constant Field Values

### NAMESPACE

    static final int NAMESPACE

  The meta object id for the '`Namespace`' class.

  See Also:
    `NamespaceImpl`, `WSDLPackageImpl.getNamespace()`, Constant Field Values

### NAMESPACE__URI

    static final int NAMESPACE__URI

  The feature id for the 'URI' attribute.

  See Also:
    Constant Field Values

### NAMESPACE__PREFIX

    static final int NAMESPACE__PREFIX

  The feature id for the 'Prefix' attribute.

  See Also:
    Constant Field Values

### NAMESPACE_FEATURE_COUNT

    static final int NAMESPACE_FEATURE_COUNT

  The number of structural features of the 'Namespace' class.

  See Also:
    Constant Field Values

### IPORT_TYPE

    static final int IPORT_TYPE

  The meta object id for the '`IPort Type`' class.

  See Also:
    `PortType`, `WSDLPackageImpl.getIPortType()`, Constant Field Values

### IPORT_TYPE_FEATURE_COUNT

    static final int IPORT_TYPE_FEATURE_COUNT

  The number of structural features of the 'IPort Type' class.

  See Also:
    Constant Field Values

### IOPERATION

    static final int IOPERATION

  The meta object id for the '`IOperation`' class.

  See Also:
    `Operation`, `WSDLPackageImpl.getIOperation()`, Constant Field Values

### IOPERATION_FEATURE_COUNT

    static final int IOPERATION_FEATURE_COUNT

  The number of structural features of the 'IOperation' class.

  See Also:
    Constant Field Values

### IINPUT

    static final int IINPUT

  The meta object id for the '`IInput`' class.

  See Also:
    `Input`, `WSDLPackageImpl.getIInput()`, Constant Field Values

### IINPUT_FEATURE_COUNT

    static final int IINPUT_FEATURE_COUNT

  The number of structural features of the 'IInput' class.

  See Also:
    Constant Field Values

### IOUTPUT

    static final int IOUTPUT

  The meta object id for the '`IOutput`' class.

  See Also:
    `Output`, `WSDLPackageImpl.getIOutput()`, Constant Field Values

### IOUTPUT_FEATURE_COUNT

    static final int IOUTPUT_FEATURE_COUNT

  The number of structural features of the 'IOutput' class.

  See Also:
    Constant Field Values

### IFAULT

    static final int IFAULT

  The meta object id for the '`IFault`' class.

  See Also:
    `Fault`, `WSDLPackageImpl.getIFault()`, Constant Field Values

### IFAULT_FEATURE_COUNT

    static final int IFAULT_FEATURE_COUNT

  The number of structural features of the 'IFault' class.

  See Also:
    Constant Field Values

### IMESSAGE

    static final int IMESSAGE

  The meta object id for the '`IMessage`' class.

  See Also:
    `Message`, `WSDLPackageImpl.getIMessage()`, Constant Field Values

### IMESSAGE_FEATURE_COUNT

    static final int IMESSAGE_FEATURE_COUNT

  The number of structural features of the 'IMessage' class.

  See Also:
    Constant Field Values

### IPART

    static final int IPART

  The meta object id for the '`IPart`' class.

  See Also:
    `Part`, `WSDLPackageImpl.getIPart()`, Constant Field Values

### IPART_FEATURE_COUNT

    static final int IPART_FEATURE_COUNT

  The number of structural features of the 'IPart' class.

  See Also:
    Constant Field Values

### ISERVICE

    static final int ISERVICE

  The meta object id for the '`IService`' class.

  See Also:
    `Service`, `WSDLPackageImpl.getIService()`, Constant Field Values

### ISERVICE_FEATURE_COUNT

    static final int ISERVICE_FEATURE_COUNT

  The number of structural features of the 'IService' class.

  See Also:
    Constant Field Values

### IPORT

    static final int IPORT

  The meta object id for the '`IPort`' class.

  See Also:
    `Port`, `WSDLPackageImpl.getIPort()`, Constant Field Values

### IPORT_FEATURE_COUNT

    static final int IPORT_FEATURE_COUNT

  The number of structural features of the 'IPort' class.

  See Also:
    Constant Field Values

### IBINDING

    static final int IBINDING

  The meta object id for the '`IBinding`' class.

  See Also:
    `Binding`, `WSDLPackageImpl.getIBinding()`, Constant Field Values

### IBINDING_FEATURE_COUNT

    static final int IBINDING_FEATURE_COUNT

  The number of structural features of the 'IBinding' class.

  See Also:
    Constant Field Values

### IBINDING_OPERATION

    static final int IBINDING_OPERATION

  The meta object id for the '`IBinding Operation`' class.

  See Also:
    `BindingOperation`, `WSDLPackageImpl.getIBindingOperation()`, Constant Field Values

### IBINDING_OPERATION_FEATURE_COUNT

    static final int IBINDING_OPERATION_FEATURE_COUNT

  The number of structural features of the 'IBinding Operation' class.

  See Also:
    Constant Field Values

### IBINDING_INPUT

    static final int IBINDING_INPUT

  The meta object id for the '`IBinding Input`' class.

  See Also:
    `BindingInput`, `WSDLPackageImpl.getIBindingInput()`, Constant Field Values

### IBINDING_INPUT_FEATURE_COUNT

    static final int IBINDING_INPUT_FEATURE_COUNT

  The number of structural features of the 'IBinding Input' class.

  See Also:
    Constant Field Values

### IBINDING_OUTPUT

    static final int IBINDING_OUTPUT

  The meta object id for the '`IBinding Output`' class.

  See Also:
    `BindingOutput`, `WSDLPackageImpl.getIBindingOutput()`, Constant Field Values

### IBINDING_OUTPUT_FEATURE_COUNT

    static final int IBINDING_OUTPUT_FEATURE_COUNT

  The number of structural features of the 'IBinding Output' class.

  See Also:
    Constant Field Values

### IBINDING_FAULT

    static final int IBINDING_FAULT

  The meta object id for the '`IBinding Fault`' class.

  See Also:
    `BindingFault`, `WSDLPackageImpl.getIBindingFault()`, Constant Field Values

### IBINDING_FAULT_FEATURE_COUNT

    static final int IBINDING_FAULT_FEATURE_COUNT

  The number of structural features of the 'IBinding Fault' class.

  See Also:
    Constant Field Values

### IEXTENSIBILITY_ELEMENT

    static final int IEXTENSIBILITY_ELEMENT

  The meta object id for the '`IExtensibility Element`' class.

  See Also:
    `ExtensibilityElement`, `WSDLPackageImpl.getIExtensibilityElement()`, Constant Field Values

### IEXTENSIBILITY_ELEMENT_FEATURE_COUNT

    static final int IEXTENSIBILITY_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'IExtensibility Element' class.

  See Also:
    Constant Field Values

### IDEFINITION

    static final int IDEFINITION

  The meta object id for the '`IDefinition`' class.

  See Also:
    `Definition`, `WSDLPackageImpl.getIDefinition()`, Constant Field Values

### IDEFINITION_FEATURE_COUNT

    static final int IDEFINITION_FEATURE_COUNT

  The number of structural features of the 'IDefinition' class.

  See Also:
    Constant Field Values

### IIMPORT

    static final int IIMPORT

  The meta object id for the '`IImport`' class.

  See Also:
    `Import`, `WSDLPackageImpl.getIImport()`, Constant Field Values

### IIMPORT_FEATURE_COUNT

    static final int IIMPORT_FEATURE_COUNT

  The number of structural features of the 'IImport' class.

  See Also:
    Constant Field Values

### ILIST

    static final int ILIST

  The meta object id for the '`IList`' class.

  See Also:
    `List`, `WSDLPackageImpl.getIList()`, Constant Field Values

### ILIST_FEATURE_COUNT

    static final int ILIST_FEATURE_COUNT

  The number of structural features of the 'IList' class.

  See Also:
    Constant Field Values

### IMAP

    static final int IMAP

  The meta object id for the '`IMap`' class.

  See Also:
    `Map`, `WSDLPackageImpl.getIMap()`, Constant Field Values

### IMAP_FEATURE_COUNT

    static final int IMAP_FEATURE_COUNT

  The number of structural features of the 'IMap' class.

  See Also:
    Constant Field Values

### IURL

    static final int IURL

  The meta object id for the '`IURL`' class.

  See Also:
    `URL`, `WSDLPackageImpl.getIURL()`, Constant Field Values

### IURL_FEATURE_COUNT

    static final int IURL_FEATURE_COUNT

  The number of structural features of the 'IURL' class.

  See Also:
    Constant Field Values

### IEXTENSION_REGISTRY

    static final int IEXTENSION_REGISTRY

  The meta object id for the '`IExtension Registry`' class.

  See Also:
    `ExtensionRegistry`, `WSDLPackageImpl.getIExtensionRegistry()`, Constant Field Values

### IEXTENSION_REGISTRY_FEATURE_COUNT

    static final int IEXTENSION_REGISTRY_FEATURE_COUNT

  The number of structural features of the 'IExtension Registry' class.

  See Also:
    Constant Field Values

### TYPES

    static final int TYPES

  The meta object id for the '`Types`' class.

  See Also:
    `TypesImpl`, `WSDLPackageImpl.getTypes()`, Constant Field Values

### TYPES__DOCUMENTATION_ELEMENT

    static final int TYPES__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### TYPES__ELEMENT

    static final int TYPES__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### TYPES__EEXTENSIBILITY_ELEMENTS

    static final int TYPES__EEXTENSIBILITY_ELEMENTS

  The feature id for the 'EExtensibility Elements' containment reference list.

  See Also:
    Constant Field Values

### TYPES_FEATURE_COUNT

    static final int TYPES_FEATURE_COUNT

  The number of structural features of the 'Types' class.

  See Also:
    Constant Field Values

### IITERATOR

    static final int IITERATOR

  The meta object id for the '`IIterator`' class.

  See Also:
    `Iterator`, `WSDLPackageImpl.getIIterator()`, Constant Field Values

### IITERATOR_FEATURE_COUNT

    static final int IITERATOR_FEATURE_COUNT

  The number of structural features of the 'IIterator' class.

  See Also:
    Constant Field Values

### ITYPES

    static final int ITYPES

  The meta object id for the '`ITypes`' class.

  See Also:
    `Types`, `WSDLPackageImpl.getITypes()`, Constant Field Values

### ITYPES_FEATURE_COUNT

    static final int ITYPES_FEATURE_COUNT

  The number of structural features of the 'ITypes' class.

  See Also:
    Constant Field Values

### UNKNOWN_EXTENSIBILITY_ELEMENT

    static final int UNKNOWN_EXTENSIBILITY_ELEMENT

  The meta object id for the '`Unknown Extensibility Element`' class.

  See Also:
    `UnknownExtensibilityElementImpl`, `WSDLPackageImpl.getUnknownExtensibilityElement()`, Constant Field Values

### UNKNOWN_EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT

    static final int UNKNOWN_EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### UNKNOWN_EXTENSIBILITY_ELEMENT__ELEMENT

    static final int UNKNOWN_EXTENSIBILITY_ELEMENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### UNKNOWN_EXTENSIBILITY_ELEMENT__REQUIRED

    static final int UNKNOWN_EXTENSIBILITY_ELEMENT__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### UNKNOWN_EXTENSIBILITY_ELEMENT__ELEMENT_TYPE

    static final int UNKNOWN_EXTENSIBILITY_ELEMENT__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### UNKNOWN_EXTENSIBILITY_ELEMENT__CHILDREN

    static final int UNKNOWN_EXTENSIBILITY_ELEMENT__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### UNKNOWN_EXTENSIBILITY_ELEMENT_FEATURE_COUNT

    static final int UNKNOWN_EXTENSIBILITY_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Unknown Extensibility Element' class.

  See Also:
    Constant Field Values

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT

    static final int XSD_SCHEMA_EXTENSIBILITY_ELEMENT

  The meta object id for the '`XSD Schema Extensibility Element`' class.

  See Also:
    `XSDSchemaExtensibilityElementImpl`, `WSDLPackageImpl.getXSDSchemaExtensibilityElement()`, Constant Field Values

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT

    static final int XSD_SCHEMA_EXTENSIBILITY_ELEMENT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT__ELEMENT

    static final int XSD_SCHEMA_EXTENSIBILITY_ELEMENT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT__REQUIRED

    static final int XSD_SCHEMA_EXTENSIBILITY_ELEMENT__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT__ELEMENT_TYPE

    static final int XSD_SCHEMA_EXTENSIBILITY_ELEMENT__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT__SCHEMA

    static final int XSD_SCHEMA_EXTENSIBILITY_ELEMENT__SCHEMA

  The feature id for the 'Schema' containment reference.

  See Also:
    Constant Field Values

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT_FEATURE_COUNT

    static final int XSD_SCHEMA_EXTENSIBILITY_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'XSD Schema Extensibility Element' class.

  See Also:
    Constant Field Values

### QNAME

    static final int QNAME

  The meta object id for the 'QName' data type.

  See Also:
    `QName`, `WSDLPackageImpl.getQName()`, Constant Field Values

### OPERATION_TYPE

    static final int OPERATION_TYPE

  The meta object id for the 'Operation Type' data type.

  See Also:
    `OperationType`, `WSDLPackageImpl.getOperationType()`, Constant Field Values

### DOM_ELEMENT

    static final int DOM_ELEMENT

  The meta object id for the 'DOM Element' data type.

  See Also:
    `Element`, `WSDLPackageImpl.getDOMElement()`, Constant Field Values

### WSDL_EXCEPTION

    static final int WSDL_EXCEPTION

  The meta object id for the 'Exception' data type.

  See Also:
    `WSDLException`, `WSDLPackageImpl.getWSDLException()`, Constant Field Values

### DOM_DOCUMENT

    static final int DOM_DOCUMENT

  The meta object id for the 'DOM Document' data type.

  See Also:
    `Document`, `WSDLPackageImpl.getDOMDocument()`, Constant Field Values

Method Detail

### getWSDLElement

    EClass getWSDLElement()

  Returns the meta object for class '`Element`'.

  Returns:
    the meta object for class 'Element'.
  See Also:
    `WSDLElement`

### getWSDLElement_DocumentationElement

    EAttribute getWSDLElement_DocumentationElement()

  Returns the meta object for the attribute '`Documentation Element`'.

  Returns:
    the meta object for the attribute 'Documentation Element'.
  See Also:
    `WSDLElement.getDocumentationElement()`, `getWSDLElement()`

### getWSDLElement_Element

    EAttribute getWSDLElement_Element()

  Returns the meta object for the attribute '`Element`'.

  Returns:
    the meta object for the attribute 'Element'.
  See Also:
    `WSDLElement.getElement()`, `getWSDLElement()`

### getPortType

    EClass getPortType()

  Returns the meta object for class '`Port Type`'.

  Returns:
    the meta object for class 'Port Type'.
  See Also:
    `PortType`

### getPortType_QName

    EAttribute getPortType_QName()

  Returns the meta object for the attribute '`QName`'.

  Returns:
    the meta object for the attribute 'QName'.
  See Also:
    `PortType.getQName()`, `getPortType()`

### getPortType_Undefined

    EAttribute getPortType_Undefined()

  Returns the meta object for the attribute '`Undefined`'.

  Returns:
    the meta object for the attribute 'Undefined'.
  See Also:
    `PortType.isUndefined()`, `getPortType()`

### getPortType_EOperations

    EReference getPortType_EOperations()

  Returns the meta object for the containment reference list '`EOperations`'.

  Returns:
    the meta object for the containment reference list 'EOperations'.
  See Also:
    `PortType.getEOperations()`, `getPortType()`

### getOperation

    EClass getOperation()

  Returns the meta object for class '`Operation`'.

  Returns:
    the meta object for class 'Operation'.
  See Also:
    `Operation`

### getOperation_Style

    EAttribute getOperation_Style()

  Returns the meta object for the attribute '`Style`'.

  Returns:
    the meta object for the attribute 'Style'.
  See Also:
    `Operation.getStyle()`, `getOperation()`

### getOperation_Name

    EAttribute getOperation_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Operation.getName()`, `getOperation()`

### getOperation_Undefined

    EAttribute getOperation_Undefined()

  Returns the meta object for the attribute '`Undefined`'.

  Returns:
    the meta object for the attribute 'Undefined'.
  See Also:
    `Operation.isUndefined()`, `getOperation()`

### getOperation_EInput

    EReference getOperation_EInput()

  Returns the meta object for the containment reference '`EInput`'.

  Returns:
    the meta object for the containment reference 'EInput'.
  See Also:
    `Operation.getEInput()`, `getOperation()`

### getOperation_EOutput

    EReference getOperation_EOutput()

  Returns the meta object for the containment reference '`EOutput`'.

  Returns:
    the meta object for the containment reference 'EOutput'.
  See Also:
    `Operation.getEOutput()`, `getOperation()`

### getOperation_EFaults

    EReference getOperation_EFaults()

  Returns the meta object for the containment reference list '`EFaults`'.

  Returns:
    the meta object for the containment reference list 'EFaults'.
  See Also:
    `Operation.getEFaults()`, `getOperation()`

### getOperation_EParameterOrdering

    EReference getOperation_EParameterOrdering()

  Returns the meta object for the reference list '`EParameter Ordering`'.

  Returns:
    the meta object for the reference list 'EParameter Ordering'.
  See Also:
    `Operation.getEParameterOrdering()`, `getOperation()`

### getMessage

    EClass getMessage()

  Returns the meta object for class '`Message`'.

  Returns:
    the meta object for class 'Message'.
  See Also:
    `Message`

### getMessage_QName

    EAttribute getMessage_QName()

  Returns the meta object for the attribute '`QName`'.

  Returns:
    the meta object for the attribute 'QName'.
  See Also:
    `Message.getQName()`, `getMessage()`

### getMessage_Undefined

    EAttribute getMessage_Undefined()

  Returns the meta object for the attribute '`Undefined`'.

  Returns:
    the meta object for the attribute 'Undefined'.
  See Also:
    `Message.isUndefined()`, `getMessage()`

### getMessage_EParts

    EReference getMessage_EParts()

  Returns the meta object for the containment reference list '`EParts`'.

  Returns:
    the meta object for the containment reference list 'EParts'.
  See Also:
    `Message.getEParts()`, `getMessage()`

### getPart

    EClass getPart()

  Returns the meta object for class '`Part`'.

  Returns:
    the meta object for class 'Part'.
  See Also:
    `Part`

### getPart_Name

    EAttribute getPart_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Part.getName()`, `getPart()`

### getPart_ElementName

    EAttribute getPart_ElementName()

  Returns the meta object for the attribute '`Element Name`'.

  Returns:
    the meta object for the attribute 'Element Name'.
  See Also:
    `Part.getElementName()`, `getPart()`

### getPart_TypeName

    EAttribute getPart_TypeName()

  Returns the meta object for the attribute '`Type Name`'.

  Returns:
    the meta object for the attribute 'Type Name'.
  See Also:
    `Part.getTypeName()`, `getPart()`

### getPart_TypeDefinition

    EReference getPart_TypeDefinition()

  Returns the meta object for the reference '`Type Definition`'.

  Returns:
    the meta object for the reference 'Type Definition'.
  See Also:
    `Part.getTypeDefinition()`, `getPart()`

### getPart_ElementDeclaration

    EReference getPart_ElementDeclaration()

  Returns the meta object for the reference '`Element Declaration`'.

  Returns:
    the meta object for the reference 'Element Declaration'.
  See Also:
    `Part.getElementDeclaration()`, `getPart()`

### getPart_EMessage

    EReference getPart_EMessage()

  Returns the meta object for the reference '`EMessage`'.

  Returns:
    the meta object for the reference 'EMessage'.
  See Also:
    `Part.getEMessage()`, `getPart()`

### getBinding

    EClass getBinding()

  Returns the meta object for class '`Binding`'.

  Returns:
    the meta object for class 'Binding'.
  See Also:
    `Binding`

### getBinding_QName

    EAttribute getBinding_QName()

  Returns the meta object for the attribute '`QName`'.

  Returns:
    the meta object for the attribute 'QName'.
  See Also:
    `Binding.getQName()`, `getBinding()`

### getBinding_Undefined

    EAttribute getBinding_Undefined()

  Returns the meta object for the attribute '`Undefined`'.

  Returns:
    the meta object for the attribute 'Undefined'.
  See Also:
    `Binding.isUndefined()`, `getBinding()`

### getBinding_EPortType

    EReference getBinding_EPortType()

  Returns the meta object for the reference '`EPort Type`'.

  Returns:
    the meta object for the reference 'EPort Type'.
  See Also:
    `Binding.getEPortType()`, `getBinding()`

### getBinding_EBindingOperations

    EReference getBinding_EBindingOperations()

  Returns the meta object for the containment reference list '`EBinding Operations`'.

  Returns:
    the meta object for the containment reference list 'EBinding Operations'.
  See Also:
    `Binding.getEBindingOperations()`, `getBinding()`

### getBindingOperation

    EClass getBindingOperation()

  Returns the meta object for class '`Binding Operation`'.

  Returns:
    the meta object for class 'Binding Operation'.
  See Also:
    `BindingOperation`

### getBindingOperation_Name

    EAttribute getBindingOperation_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `BindingOperation.getName()`, `getBindingOperation()`

### getBindingOperation_EOperation

    EReference getBindingOperation_EOperation()

  Returns the meta object for the reference '`EOperation`'.

  Returns:
    the meta object for the reference 'EOperation'.
  See Also:
    `BindingOperation.getEOperation()`, `getBindingOperation()`

### getBindingOperation_EBindingInput

    EReference getBindingOperation_EBindingInput()

  Returns the meta object for the containment reference '`EBinding Input`'.

  Returns:
    the meta object for the containment reference 'EBinding Input'.
  See Also:
    `BindingOperation.getEBindingInput()`, `getBindingOperation()`

### getBindingOperation_EBindingOutput

    EReference getBindingOperation_EBindingOutput()

  Returns the meta object for the containment reference '`EBinding Output`'.

  Returns:
    the meta object for the containment reference 'EBinding Output'.
  See Also:
    `BindingOperation.getEBindingOutput()`, `getBindingOperation()`

### getBindingOperation_EBindingFaults

    EReference getBindingOperation_EBindingFaults()

  Returns the meta object for the containment reference list '`EBinding Faults`'.

  Returns:
    the meta object for the containment reference list 'EBinding Faults'.
  See Also:
    `BindingOperation.getEBindingFaults()`, `getBindingOperation()`

### getService

    EClass getService()

  Returns the meta object for class '`Service`'.

  Returns:
    the meta object for class 'Service'.
  See Also:
    `Service`

### getService_QName

    EAttribute getService_QName()

  Returns the meta object for the attribute '`QName`'.

  Returns:
    the meta object for the attribute 'QName'.
  See Also:
    `Service.getQName()`, `getService()`

### getService_Undefined

    EAttribute getService_Undefined()

  Returns the meta object for the attribute '`Undefined`'.

  Returns:
    the meta object for the attribute 'Undefined'.
  See Also:
    `Service.isUndefined()`, `getService()`

### getService_EPorts

    EReference getService_EPorts()

  Returns the meta object for the containment reference list '`EPorts`'.

  Returns:
    the meta object for the containment reference list 'EPorts'.
  See Also:
    `Service.getEPorts()`, `getService()`

### getPort

    EClass getPort()

  Returns the meta object for class '`Port`'.

  Returns:
    the meta object for class 'Port'.
  See Also:
    `Port`

### getPort_Name

    EAttribute getPort_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Port.getName()`, `getPort()`

### getPort_EBinding

    EReference getPort_EBinding()

  Returns the meta object for the reference '`EBinding`'.

  Returns:
    the meta object for the reference 'EBinding'.
  See Also:
    `Port.getEBinding()`, `getPort()`

### getExtensibilityElement

    EClass getExtensibilityElement()

  Returns the meta object for class '`Extensibility Element`'.

  Returns:
    the meta object for class 'Extensibility Element'.
  See Also:
    `ExtensibilityElement`

### getExtensibilityElement_Required

    EAttribute getExtensibilityElement_Required()

  Returns the meta object for the attribute '`Required`'.

  Returns:
    the meta object for the attribute 'Required'.
  See Also:
    `ExtensibilityElement.isRequired()`, `getExtensibilityElement()`

### getExtensibilityElement_ElementType

    EAttribute getExtensibilityElement_ElementType()

  Returns the meta object for the attribute '`Element Type`'.

  Returns:
    the meta object for the attribute 'Element Type'.
  See Also:
    `ExtensibilityElement.getElementType()`, `getExtensibilityElement()`

### getDefinition

    EClass getDefinition()

  Returns the meta object for class '`Definition`'.

  Returns:
    the meta object for class 'Definition'.
  See Also:
    `Definition`

### getDefinition_TargetNamespace

    EAttribute getDefinition_TargetNamespace()

  Returns the meta object for the attribute '`Target Namespace`'.

  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `Definition.getTargetNamespace()`, `getDefinition()`

### getDefinition_Location

    EAttribute getDefinition_Location()

  Returns the meta object for the attribute '`Location`'.

  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `Definition.getLocation()`, `getDefinition()`

### getDefinition_QName

    EAttribute getDefinition_QName()

  Returns the meta object for the attribute '`QName`'.

  Returns:
    the meta object for the attribute 'QName'.
  See Also:
    `Definition.getQName()`, `getDefinition()`

### getDefinition_Encoding

    EAttribute getDefinition_Encoding()

  Returns the meta object for the attribute '`Encoding`'.

  Returns:
    the meta object for the attribute 'Encoding'.
  See Also:
    `Definition.getEncoding()`, `getDefinition()`

### getDefinition_EImports

    EReference getDefinition_EImports()

  Returns the meta object for the containment reference list '`EImports`'.

  Returns:
    the meta object for the containment reference list 'EImports'.
  See Also:
    `Definition.getEImports()`, `getDefinition()`

### getDefinition_ETypes

    EReference getDefinition_ETypes()

  Returns the meta object for the containment reference '`ETypes`'.

  Returns:
    the meta object for the containment reference 'ETypes'.
  See Also:
    `Definition.getETypes()`, `getDefinition()`

### getDefinition_EMessages

    EReference getDefinition_EMessages()

  Returns the meta object for the containment reference list '`EMessages`'.

  Returns:
    the meta object for the containment reference list 'EMessages'.
  See Also:
    `Definition.getEMessages()`, `getDefinition()`

### getDefinition_EPortTypes

    EReference getDefinition_EPortTypes()

  Returns the meta object for the containment reference list '`EPort Types`'.

  Returns:
    the meta object for the containment reference list 'EPort Types'.
  See Also:
    `Definition.getEPortTypes()`, `getDefinition()`

### getDefinition_EBindings

    EReference getDefinition_EBindings()

  Returns the meta object for the containment reference list '`EBindings`'.

  Returns:
    the meta object for the containment reference list 'EBindings'.
  See Also:
    `Definition.getEBindings()`, `getDefinition()`

### getDefinition_EServices

    EReference getDefinition_EServices()

  Returns the meta object for the containment reference list '`EServices`'.

  Returns:
    the meta object for the containment reference list 'EServices'.
  See Also:
    `Definition.getEServices()`, `getDefinition()`

### getDefinition_ENamespaces

    EReference getDefinition_ENamespaces()

  Returns the meta object for the containment reference list '`ENamespaces`'.

  Returns:
    the meta object for the containment reference list 'ENamespaces'.
  See Also:
    `Definition.getENamespaces()`, `getDefinition()`

### getImport

    EClass getImport()

  Returns the meta object for class '`Import`'.

  Returns:
    the meta object for class 'Import'.
  See Also:
    `Import`

### getImport_NamespaceURI

    EAttribute getImport_NamespaceURI()

  Returns the meta object for the attribute '`Namespace URI`'.

  Returns:
    the meta object for the attribute 'Namespace URI'.
  See Also:
    `Import.getNamespaceURI()`, `getImport()`

### getImport_LocationURI

    EAttribute getImport_LocationURI()

  Returns the meta object for the attribute '`Location URI`'.

  Returns:
    the meta object for the attribute 'Location URI'.
  See Also:
    `Import.getLocationURI()`, `getImport()`

### getImport_EDefinition

    EReference getImport_EDefinition()

  Returns the meta object for the reference '`EDefinition`'.

  Returns:
    the meta object for the reference 'EDefinition'.
  See Also:
    `Import.getEDefinition()`, `getImport()`

### getImport_ESchema

    EReference getImport_ESchema()

  Returns the meta object for the reference '`ESchema`'.

  Returns:
    the meta object for the reference 'ESchema'.
  See Also:
    `Import.getESchema()`, `getImport()`

### getExtensibleElement

    EClass getExtensibleElement()

  Returns the meta object for class '`Extensible Element`'.

  Returns:
    the meta object for class 'Extensible Element'.
  See Also:
    `ExtensibleElement`

### getExtensibleElement_EExtensibilityElements

    EReference getExtensibleElement_EExtensibilityElements()

  Returns the meta object for the containment reference list '`EExtensibility Elements`'.

  Returns:
    the meta object for the containment reference list 'EExtensibility Elements'.
  See Also:
    `ExtensibleElement.getEExtensibilityElements()`, `getExtensibleElement()`

### getInput

    EClass getInput()

  Returns the meta object for class '`Input`'.

  Returns:
    the meta object for class 'Input'.
  See Also:
    `Input`

### getOutput

    EClass getOutput()

  Returns the meta object for class '`Output`'.

  Returns:
    the meta object for class 'Output'.
  See Also:
    `Output`

### getFault

    EClass getFault()

  Returns the meta object for class '`Fault`'.

  Returns:
    the meta object for class 'Fault'.
  See Also:
    `Fault`

### getBindingInput

    EClass getBindingInput()

  Returns the meta object for class '`Binding Input`'.

  Returns:
    the meta object for class 'Binding Input'.
  See Also:
    `BindingInput`

### getBindingInput_Name

    EAttribute getBindingInput_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `BindingInput.getName()`, `getBindingInput()`

### getBindingInput_EInput

    EReference getBindingInput_EInput()

  Returns the meta object for the reference '`EInput`'.

  Returns:
    the meta object for the reference 'EInput'.
  See Also:
    `BindingInput.getEInput()`, `getBindingInput()`

### getBindingOutput

    EClass getBindingOutput()

  Returns the meta object for class '`Binding Output`'.

  Returns:
    the meta object for class 'Binding Output'.
  See Also:
    `BindingOutput`

### getBindingOutput_Name

    EAttribute getBindingOutput_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `BindingOutput.getName()`, `getBindingOutput()`

### getBindingOutput_EOutput

    EReference getBindingOutput_EOutput()

  Returns the meta object for the reference '`EOutput`'.

  Returns:
    the meta object for the reference 'EOutput'.
  See Also:
    `BindingOutput.getEOutput()`, `getBindingOutput()`

### getBindingFault

    EClass getBindingFault()

  Returns the meta object for class '`Binding Fault`'.

  Returns:
    the meta object for class 'Binding Fault'.
  See Also:
    `BindingFault`

### getBindingFault_Name

    EAttribute getBindingFault_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `BindingFault.getName()`, `getBindingFault()`

### getBindingFault_EFault

    EReference getBindingFault_EFault()

  Returns the meta object for the reference '`EFault`'.

  Returns:
    the meta object for the reference 'EFault'.
  See Also:
    `BindingFault.getEFault()`, `getBindingFault()`

### getNamespace

    EClass getNamespace()

  Returns the meta object for class '`Namespace`'.

  Returns:
    the meta object for class 'Namespace'.
  See Also:
    `Namespace`

### getNamespace_URI

    EAttribute getNamespace_URI()

  Returns the meta object for the attribute '`URI`'.

  Returns:
    the meta object for the attribute 'URI'.
  See Also:
    `Namespace.getURI()`, `getNamespace()`

### getNamespace_Prefix

    EAttribute getNamespace_Prefix()

  Returns the meta object for the attribute '`Prefix`'.

  Returns:
    the meta object for the attribute 'Prefix'.
  See Also:
    `Namespace.getPrefix()`, `getNamespace()`

### getIPortType

    EClass getIPortType()

  Returns the meta object for class '`IPort Type`'.

  Returns:
    the meta object for class 'IPort Type'.
  See Also:
    `PortType`

### getIOperation

    EClass getIOperation()

  Returns the meta object for class '`IOperation`'.

  Returns:
    the meta object for class 'IOperation'.
  See Also:
    `Operation`

### getIInput

    EClass getIInput()

  Returns the meta object for class '`IInput`'.

  Returns:
    the meta object for class 'IInput'.
  See Also:
    `Input`

### getIOutput

    EClass getIOutput()

  Returns the meta object for class '`IOutput`'.

  Returns:
    the meta object for class 'IOutput'.
  See Also:
    `Output`

### getIFault

    EClass getIFault()

  Returns the meta object for class '`IFault`'.

  Returns:
    the meta object for class 'IFault'.
  See Also:
    `Fault`

### getIMessage

    EClass getIMessage()

  Returns the meta object for class '`IMessage`'.

  Returns:
    the meta object for class 'IMessage'.
  See Also:
    `Message`

### getIPart

    EClass getIPart()

  Returns the meta object for class '`IPart`'.

  Returns:
    the meta object for class 'IPart'.
  See Also:
    `Part`

### getIService

    EClass getIService()

  Returns the meta object for class '`IService`'.

  Returns:
    the meta object for class 'IService'.
  See Also:
    `Service`

### getIPort

    EClass getIPort()

  Returns the meta object for class '`IPort`'.

  Returns:
    the meta object for class 'IPort'.
  See Also:
    `Port`

### getIBinding

    EClass getIBinding()

  Returns the meta object for class '`IBinding`'.

  Returns:
    the meta object for class 'IBinding'.
  See Also:
    `Binding`

### getIBindingOperation

    EClass getIBindingOperation()

  Returns the meta object for class '`IBinding Operation`'.

  Returns:
    the meta object for class 'IBinding Operation'.
  See Also:
    `BindingOperation`

### getIBindingInput

    EClass getIBindingInput()

  Returns the meta object for class '`IBinding Input`'.

  Returns:
    the meta object for class 'IBinding Input'.
  See Also:
    `BindingInput`

### getIBindingOutput

    EClass getIBindingOutput()

  Returns the meta object for class '`IBinding Output`'.

  Returns:
    the meta object for class 'IBinding Output'.
  See Also:
    `BindingOutput`

### getIBindingFault

    EClass getIBindingFault()

  Returns the meta object for class '`IBinding Fault`'.

  Returns:
    the meta object for class 'IBinding Fault'.
  See Also:
    `BindingFault`

### getIExtensibilityElement

    EClass getIExtensibilityElement()

  Returns the meta object for class '`IExtensibility Element`'.

  Returns:
    the meta object for class 'IExtensibility Element'.
  See Also:
    `ExtensibilityElement`

### getIDefinition

    EClass getIDefinition()

  Returns the meta object for class '`IDefinition`'.

  Returns:
    the meta object for class 'IDefinition'.
  See Also:
    `Definition`

### getIImport

    EClass getIImport()

  Returns the meta object for class '`IImport`'.

  Returns:
    the meta object for class 'IImport'.
  See Also:
    `Import`

### getIList

    EClass getIList()

  Returns the meta object for class '`IList`'.

  Returns:
    the meta object for class 'IList'.
  See Also:
    `List`

### getIMap

    EClass getIMap()

  Returns the meta object for class '`IMap`'.

  Returns:
    the meta object for class 'IMap'.
  See Also:
    `Map`

### getIURL

    EClass getIURL()

  Returns the meta object for class '`IURL`'.

  Returns:
    the meta object for class 'IURL'.
  See Also:
    `URL`

### getIExtensionRegistry

    EClass getIExtensionRegistry()

  Returns the meta object for class '`IExtension Registry`'.

  Returns:
    the meta object for class 'IExtension Registry'.
  See Also:
    `ExtensionRegistry`

### getTypes

    EClass getTypes()

  Returns the meta object for class '`Types`'.

  Returns:
    the meta object for class 'Types'.
  See Also:
    `Types`

### getIIterator

    EClass getIIterator()

  Returns the meta object for class '`IIterator`'.

  Returns:
    the meta object for class 'IIterator'.
  See Also:
    `Iterator`

### getITypes

    EClass getITypes()

  Returns the meta object for class '`ITypes`'.

  Returns:
    the meta object for class 'ITypes'.
  See Also:
    `Types`

### getUnknownExtensibilityElement

    EClass getUnknownExtensibilityElement()

  Returns the meta object for class '`Unknown Extensibility Element`'.

  Returns:
    the meta object for class 'Unknown Extensibility Element'.
  See Also:
    `UnknownExtensibilityElement`

### getUnknownExtensibilityElement_Children

    EReference getUnknownExtensibilityElement_Children()

  Returns the meta object for the containment reference list '`Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `UnknownExtensibilityElement.getChildren()`, `getUnknownExtensibilityElement()`

### getXSDSchemaExtensibilityElement

    EClass getXSDSchemaExtensibilityElement()

  Returns the meta object for class '`XSD Schema Extensibility Element`'.

  Returns:
    the meta object for class 'XSD Schema Extensibility Element'.
  See Also:
    `XSDSchemaExtensibilityElement`

### getXSDSchemaExtensibilityElement_Schema

    EReference getXSDSchemaExtensibilityElement_Schema()

  Returns the meta object for the containment reference '`Schema`'.

  Returns:
    the meta object for the containment reference 'Schema'.
  See Also:
    `XSDSchemaExtensibilityElement.getSchema()`, `getXSDSchemaExtensibilityElement()`

### getMessageReference

    EClass getMessageReference()

  Returns the meta object for class '`Message Reference`'.

  Returns:
    the meta object for class 'Message Reference'.
  See Also:
    `MessageReference`

### getMessageReference_Name

    EAttribute getMessageReference_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MessageReference.getName()`, `getMessageReference()`

### getMessageReference_EMessage

    EReference getMessageReference_EMessage()

  Returns the meta object for the reference '`EMessage`'.

  Returns:
    the meta object for the reference 'EMessage'.
  See Also:
    `MessageReference.getEMessage()`, `getMessageReference()`

### getQName

    EDataType getQName()

  Returns the meta object for data type '`QName`'.

  Returns:
    the meta object for data type 'QName'.
  See Also:
    `QName`

### getOperationType

    EDataType getOperationType()

  Returns the meta object for data type '`Operation Type`'.

  Returns:
    the meta object for data type 'Operation Type'.
  See Also:
    `OperationType`

### getDOMElement

    EDataType getDOMElement()

  Returns the meta object for data type '`DOM Element`'.

  Returns:
    the meta object for data type 'DOM Element'.
  See Also:
    `Element`

### getWSDLException

    EDataType getWSDLException()

  Returns the meta object for data type '`Exception`'.

  Returns:
    the meta object for data type 'Exception'.
  See Also:
    `WSDLException`

### getDOMDocument

    EDataType getDOMDocument()

  Returns the meta object for data type '`DOM Document`'.

  Returns:
    the meta object for data type 'DOM Document'.
  See Also:
    `Document`

### getWSDLFactory

    WSDLFactory getWSDLFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD